This is the documentation for CDH 4.7.1.
Documentation for other versions is available at Cloudera Documentation.

Supported JDK Versions

CDH4 is supported with Oracle JDK.
  Important: JDK 1.7
As of Cloudera Manager 4.7 and CDH4.4, Cloudera now supports users running applications compiled with Oracle JDK 7 (JDK 1.7), with the following restrictions:
  • All CDH cluster nodes and services must be running a supported JDK 7 version.
  • All CDH cluster nodes and services must be running the same major version (that is, all deployed on JDK 6 or all deployed on JDK 7). For example, you cannot run Hadoop on JDK 6 while running Sqoop on JDK 7.
To make sure everything works correctly, symbolically link the directory where you install the JDK to /usr/java/default on Red Hat and similar systems, or to /usr/lib/jvm/default-java on Ubuntu and Debian systems.
  • For JDK 1.6, CDH4 is certified with 1.6.0_31. The minimum supported version is 1.6.0_8.
  • For JDK 1.7, CDH4.4 and later are certified with 1.7.0_15. CDH4.5 and later are certified with 1.7.0_55.